Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.queries_tab.toolbox
Class SlotSelectWidget

    java.lang.Object
      edu.stanford.smi.protegex.queries_tab.AbstractSlotValueWidget
          edu.stanford.smi.protegex.queries_tab.toolbox.AbstractListValueWidget
              edu.stanford.smi.protegex.queries_tab.toolbox.SlotSelectWidget

All Implemented Interfaces:
  SlotValueWidget

    public class SlotSelectWidget

extends AbstractListValueWidget

Nested Class Summary

Nested classes/interfaces inherited from class edu.stanford.smi.protegex.queries_tab.AbstractSlotValueWidget
`AbstractSlotValueWidget.SlotValueWidgetMouse`

Field Summary

Fields inherited from class edu.stanford.smi.protegex.queries_tab.toolbox.AbstractListValueWidget
`currentValue, instanceSlot, itsComp, itsInstance, itsKBListener, itsList, itsRemoveAction, itsSelectAction, itsViewAction, slotValueListMouse, theComparator`

Fields inherited from class edu.stanford.smi.protegex.queries_tab.AbstractSlotValueWidget
`_validator, constraints, FIELDHEIGHT, FIELDWIDTH, isViewEnabled, itsInstances, itsTab, itsWidget, label, selection, slotName, specification, visible`

Fields inherited from interface edu.stanford.smi.protegex.queries_tab.SlotValueWidget
`HEIGHT, WIDTH`

Constructor Summary
`SlotSelectWidget(SearchWidget widget)` Constructor.
`SlotSelectWidget(SearchWidget widget, String label, String slot)` Constructor with label, slot, and actions.

Method Summary
`protected void` | `addActions()`
`void` | `clearList()`
`protected void` | `createListener()` Create components in this relation display.
`JComponent` | `getComponent()` Return the relation display component.
`Object[]` | `getData()` Get the data from the text area and return it as a string array.
`String[]` | `getSelectedItems()` Get the selected string in text area and return them as a string array.
`Object` | `getSelectedObject()` Get the selected object which is a slot for slot.
`Slot` | `getSlot()` Get slot return the current slot.
`String` | `getSlotName()` Get the name of the slot for this relation display.
`JComponent` | `getWidget()` Return the embedded widget in the relation display, the JTextArea.
`boolean` | `isSlotSingleValued()` Set the slot not a single value slot.
`Collection` | `search(Collection instances, Slot slot, String operation, Object obj)` This is used to call for the Query settings.
`void` | `setActionsEnabled(boolean b)` Enable/Disable the icons.
`void` | `setCls(Cls cls)` Overwrite the setCls to setup the selected cls
`void` | `setData(Object[] data)` Set the specified string to the text area.
`void` | `setDisplayedSlot(Slot s)` Set the input instance as the selected classs
`void` | `setSelectedObject(Object obj)` Set the displayed selected object.
`void` | `setViewEnabled(boolean b)`
`void` | `showInstance(Instance instance)`
`protected void` | `updateList()`
`void` | `viewObject()`

Methods inherited from class edu.stanford.smi.protegex.queries_tab.toolbox.AbstractListValueWidget
`addListener, addMouse, createComponents, createList, removeListener, removeMouse, setDisplayName`

Methods inherited from class edu.stanford.smi.protegex.queries_tab.AbstractSlotValueWidget
`doTask, getKB, getLabel, getNorthComponent, getProject, getTab, initialized, isComplete, isViewEnabled, isVisible, search, setInstances, setProject, setSlotName, setSpecification, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlotSelectWidget

    public SlotSelectWidget(SearchWidget widget)

  Constructor.

### SlotSelectWidget

    public SlotSelectWidget(SearchWidget widget,
                            String label,
                            String slot)

  Constructor with label, slot, and actions.

Method Detail

### addActions

    protected void addActions()

  Overrides:
    `addActions` in class `AbstractListValueWidget`

### clearList

    public void clearList()

### createListener

    protected void createListener()

  Create components in this relation display.

  Overrides:
    `createListener` in class `AbstractListValueWidget`

### getComponent

    public JComponent getComponent()

  Return the relation display component.

### getData

    public Object[] getData()

  Get the data from the text area and return it as a string array.

### getSelectedItems

    public String[] getSelectedItems()

  Get the selected string in text area and return them as a string array.

  Specified by:
    `getSelectedItems` in interface `SlotValueWidget`
  Overrides:
    `getSelectedItems` in class `AbstractSlotValueWidget`

### getSelectedObject

    public Object getSelectedObject()

  Get the selected object which is a slot for slot.

### getSlot

    public Slot getSlot()

  Get slot return the current slot.

### getSlotName

    public String getSlotName()

  Description copied from class: `AbstractSlotValueWidget`
  Get the name of the slot for this relation display.

  Specified by:
    `getSlotName` in interface `SlotValueWidget`
  Overrides:
    `getSlotName` in class `AbstractSlotValueWidget`

### getWidget

    public JComponent getWidget()

  Return the embedded widget in the relation display, the JTextArea.

### isSlotSingleValued

    public boolean isSlotSingleValued()

  Set the slot not a single value slot.

  Specified by:
    `isSlotSingleValued` in interface `SlotValueWidget`
  Overrides:
    `isSlotSingleValued` in class `AbstractSlotValueWidget`

### search

    public Collection search(Collection instances,
                             Slot slot,
                             String operation,
                             Object obj)

  Description copied from interface: `SlotValueWidget`
  This is used to call for the Query settings.

### setActionsEnabled

    public void setActionsEnabled(boolean b)

  Description copied from class: `AbstractSlotValueWidget`
  Enable/Disable the icons.

  Specified by:
    `setActionsEnabled` in interface `SlotValueWidget`
  Overrides:
    `setActionsEnabled` in class `AbstractSlotValueWidget`

### setCls

    public void setCls(Cls cls)

  Overwrite the setCls to setup the selected cls

  Specified by:
    `setCls` in interface `SlotValueWidget`
  Overrides:
    `setCls` in class `AbstractSlotValueWidget`

### setData

    public void setData(Object[] data)

  Set the specified string to the text area.

### setDisplayedSlot

    public void setDisplayedSlot(Slot s)

  Set the input instance as the selected classs

### setSelectedObject

    public void setSelectedObject(Object obj)

  Description copied from interface: `SlotValueWidget`
  Set the displayed selected object.

### setViewEnabled

    public void setViewEnabled(boolean b)

  Specified by:
    `setViewEnabled` in interface `SlotValueWidget`
  Overrides:
    `setViewEnabled` in class `AbstractSlotValueWidget`

### showInstance

    public void showInstance(Instance instance)

### updateList

    protected void updateList()

  Overrides:
    `updateList` in class `AbstractListValueWidget`

### viewObject

    public void viewObject()

  Overrides:
    `viewObject` in class `AbstractSlotValueWidget`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request